ACT1

			     Information File

 


	                            
	                                                  
	                                                  
	                                       
	                                        
	                                        
	                          


			     by  Psychic Link




    This information file tells you everything you ever wanted to know about 
the making of ACT-ONE by Psychic Link.


Contents of this file:


Amongst the waffle and pretentious ravings in this text file,  you can find 
information on the following topics,  in roughly this order:

  Legal stuff regarding distribution of the demo.
  Hardware requirements for running the demo.
  Problem Solving / Help on getting the demo to run.
  Why we didn't enter ACT1 in a Demo Competition.
  The command-line options you can use to run ACT1.
  Detailed Credits.
  How to contact us.




    Once upon a time there were three blokes.  Their exams had just finished,  
and an interminably long holiday stretched out before them....

    "Hey,  this sucks.  What are we going to do for 8 weeks,  Dude?"  asked 
one of them,  who was known as Statix.
    "Write a demo." said the second bloke,  who was called S-Cubed.
    "Bogus." said the third,  who was named Skywalker.


    And so ACT-ONE was born...  well,  it wasn't quite as simple as that.




The Demo and its distribution.


    This Demo is solely the work of the members of Psychic Link:  Statix,  
S-Cubed and Skywalker. 

    It is a stand-alone program which aims to do nothing more than entertain,  
intrigue and inspire those people who watch/hear it.

    The Demo may be freely distributed provided it is distributed complete,  
unmodified and there is no charge for doing so.  The following files must 
accompany the demo wherever it is distributed:

	ACT1    .EXE   1646268 bytes    The Demo itself.
	FILE_ID .DIZ       322 bytes    The file description.
	ACT1    .NFO     17312 bytes    ACT1 information file.
	PL94    .NFO      9852 bytes    Psychic Link Information file.
	ROLLACT1.BAT       223 bytes    Batch file to run ACT1 on a loop.

	       
    This program is provided "as is".  There is no warranty of any kind either 
express or implied.  In no event shall Psychic Link or any of its members be 
liable for any damages,  including any lost profits,  lost savings,  lost 
time,  or other indirect or consequential damages,  or for any claim by any 
other party that results from the use of this program.  The entire risk as to 
the quality and performance of the program is with you.  This agreement cannot 
and shall not be modified by purchase orders,  advertising or other 
representations by anyone,  and may only be modified by a written amendment or 
express permission given by the members of Psychic Link.  Running the program 
indicates your agreement to be bound by these terms and conditions. 

    Well,  I must admit I don't see how ACT1 could cause any damage to 
anything,  but we have to include this to be on the safe side...  :-) 



Hardware Requirements + Problem Solving


    The demo requires the following hardware to run:

  A VGA or compatible graphics system.
  A 386/486/Pentium processor
  2MB RAM

    The demo is unlikely to run from Microsoft Windows,  and we wouldn't 
recommend trying it under a LAN network,  or on an on-line file-server...

    If you have problems getting the demo to run,  then you could try taking
the following steps:

  Remove all memory-resident software (e.g. Keyboard buffer extensions, Mouse
   drivers) from your CONFIG.SYS and AUTOEXEC.BAT files,  and then reset the
   system (a cold boot).

  Remove any EMM/QEMM type memory managers and HIMEM.SYS,  and do a cold
   boot.  (The demo does NOT require HIMEM.SYS to run)

  Set the music device option to None when running the demo.

  If your memory problems are borderline,  and you are running with SB/SBPro 
   music selected,  you might find that selecting MONO rather than STEREO and
   choosing the lowest possible music frequency (8kHz) will enable you to run
   the demo with music.  This happens on S-Cubed's machine,  which only has
   2MB of RAM... :-)   (What do you mean "only"? - S-Cubed... B-) )

  If you suspect that parts of the demo will work,  while others do not,  
   you can try running it from different points...  see the info on command
   line options elsewhere in this file.

    If none of it works at all,  then we are sorry,  but there is nothing you 
can do - short of taking the program to a friend who has a faster computer or 
one with more memory...  We have tested it on as many machines as possible,  
and have endeavoured to make it error-free and as hardware tolerant as 
possible,  but this is difficult,  as we do not have access to many PCs other 
than our own,  and those owned by our friends.  

    If the program does not run properly on your machine,  there is little we 
can do about it.  Please don't write to us just to complain,  or to seek 
advice in the event of the program seeming faulty,  as it will have no effect 
except to make us very depressed. 




Why we didn't enter ACT1 in a Demo Competition


    Because:

1.  We only have 386s,  and live in England  (a long way from demo parties/
    other good demo groups).
2.  We were going to try for ASM94,  but we ran out of time (also see 1. )
3.  We only create demos for the intellectual challenge,  not interested in 
    empty pleasures such as winning trophys/large amounts of cash,  it's the 
    making of the demo which stimulates us,  blah blah blah... etc... 
    (Yeah right...)

    This demo would have been released earlier (i.e. September) but several
bugs turned up when we tested the demo on fast computers (like P90s....)
But now we hope that it is pretty much bug-free... Many thanks to Steve Jones,
sysop of our WHQ BBS, for the many hours he spent beta testing this demo, and
for the encouragement he gave us to get it finished! 



Command Line Options


    ACT1 tries to AutoDetect your soundcard. If you wish to override this,  
the following command line options can be used:

 /Cx - Select SoundCard where "x" is one of: 0=none, 1=SB, 2=SBPro, 3=GUS
 /Bx - Set SoundCard base address to 2x0
 /Ix - Set SoundCard IRQ number to x (SB/SBPro Cards only)
 /Mx - Set Mixrate where "x" is one of: 0=8kHz, 1=12kHz, 2=16kHz, 3=22kHz
       (N.B.  the mixrate only affects the SB and SBPro cards)

    There are also some other command line options,  which are these:

 /? or /H - Displays a help screen instead of executing the demo.

       /S - Skips the setup screen,  using the autodetected soundcard info, 
	    and any of the above override command line options,  so that the
	    demo starts straight away.  This is useful if you want to run
	    the demo on a loop from a batch file.

 /0 to /9 - This will start the demo at the screen specified,  missing out the 
	    screens that come before it.  The screens you can start the demo
	    from are as follows:

		 /0 - Start with the Starship Vector.
		 /1 - Start with the Psychic Link Logo.
		 /2 - Start with the Teddy Bender.
		 /3 - Start with the Mandelbrot Zoom.
		 /4 - Start with the Psychic Link Mania Screen.
		 /5 - Start with the Teapot Vector.
		 /6 - Start with the Solid Tunnel.
		 /7 - Start with the Landscape.
		 /8 - Start with the Curtain Scroll.
		 /9 - Start with the Credits.

    So,  for example,  if you were to type:    ACT1 /c2 /b2 /i7 /m2 /s /5

    this would select SBPro music,  set the soundcard base address to 220h and 
the IRQ number to 7,  select a mixing frequency of 16kHz,  skip the setup 
screen,  and start with the Teapot Vector Screen.



The Screens


    ACT1 was written in 100% assembler, and runs under a customised version of
Tran's P-Mode - so thanks to him. It took us about 3 solid months to code,
plus several months of planning and less intensive coding (we only have access
to our PCs during weekends and school holidays :-( ) There is almost 1MB of
source code, which was assembled with TASM 3.2 and MASM 6.11, and linked with
Microsoft's LINK. We also use BorlandPascal 7 for odd jobs (such as trackers).

    For most of the screens,  the credits are simply as given in the Demo 
itself,  but there are a few where it's a little more complicated than that,  
and here is where it's all explained.  You may be thinking that as you've 
already read the credits,  you already know what follows,  but you would be 
wrong...   It also gives some technical info about the screens that you might 
be interested in. 



  Setup Screen       
  Act1 Zoomer        
  Teddy Bender       
  Teapot Vector      
  Curtain Scroll        by Statix.
  Credits            
  P-Mode Environment 
  File Handling      
  Music Routines     



P-mode Environment:   This is based on Tran's P-Mode setup,  because it's the 
		      best we've been able to find.  Thanks, Tran... :-) 

Teapot Vector:   In case you're wondering,  Statix didn't design the whole 
		 teapot himself,  although he did have to re-do the lid,  as 
		 the original one didn't fit...   However,  he did design the 
		 blue bouncy thing himself,  using only a pencil, a piece of 
		 paper and a calculator.   The teapot consists of around 600
		 polygons,  while the blue thing is made from 96 polygons.

Curtain Scroll:   Coding and Design: Statix
			       Font: S-Cubed 
		  All three of us contributed to the scroll text.




  Starship Vector    
  Psychic Link Logo  
  Mandelbrot Zoom       by S-Cubed.
  Psychic Link Mania 
  Solid Tunnel       



Starship Vector:   This screen was thought up by S-Cubed and Statix together, 
		   but S-Cubed took over for the actual coding,  because only 
		   he was crazy enough to want to design the Starship without 
		   an object designer.  He designed it using only a pencil,  a 
		   piece of paper and a calculator.  It contains over 500 
		   points, 350 polygons and 60 clusters.  The next program he 
		   wants to write is an object designer... :-) 
		   The screen uses a Filled Polygon routine by Statix. 

Mandelbrot Zoom:   If you've seen the Mandelbrot Zoom in Crystal Dream II by 
		   Triton,  you may think that this one is rather slow and 
		   doesn't have enough iterations.  The difference is that in 
		   this one,  the Fractal calculations are done realtime.  
		   What you see is a realtime zoom on 161 x 161 pixels of the 
		   mandelbrot set,  each calculated to a maximum of 64 
		   iterations.  If you don't believe it's realtime,  then 
		   think again - when the demo is run it chooses from one of 
		   eight possible points to zoom in on.  If all eight zooms 
		   were stored as animations,  the resulting file would be 
		   bigger than the size of the whole demo compressed. 

Psychic Link Mania:   This screen also uses Statix's filled polygon routine.



  Plasma                by Skywalker.
  Landscape          


Plasma:            A fairly boring plasma but running in a higher resolution
		   than most, and smoothly on a 386 ;-) ... 

Landscape:         Thanks to S-Cubed for the cloud generator. This started
		   life as a starwars scroller, but then progressed into what
		   you see now... The checkerboard is shaded so that it gets
		   darker in the distance. If you do not have enough memory
		   then some of the darker shades will be sacrificed and the
		   screen will not look so good - if this is the case try 
		   running with music off or at a lower mixing rate.


The Music


    The Music which is played from the start of the demo up to and including 
the Psychic Link Mania screen was written by S-Cubed. 

    The Music which is played from the Teapot Vector screen until the end of 
the demo was written by Skywalker. 

    The demo is accompanied by an 8-channel soundtrack throughout.  The music 
was written using DisorderTracker,  written by Statix,  who also wrote the 
music playing routines for the demo.  He is going to start work on 
DisorderTracker v2.0 shortly,  and it will be released if and when he 
completes it... 



The Graphics


    There are hardly any graphics in this demo,  because we do not have a 
graphics artist.  If you are a graphics artist who is not a member of any 
other demo group,  and would like to join Psychic Link,  please contact us.  
We would prefer someone who is fairly fluent in English,  has a PC with VGA 
graphics capabilities,  and a permanent address at which they can be 
contacted,  but even if you don't think you meet these specifications,  don't 
hesitate to get in touch.



The Group


    To find out more about Psychic Link,  take a look at the PL94.NFO text 
file that accompanies the demo.  If that's not enough and you want to know 
more,  then you could log on to our WHQ BBS,  and download the latest Psychic 
Link information file from there,  or contact us in any of the following ways: 


   WHQ BBS:  ProActive Logic  +44-(0)1525 854320 
	     "Statix" and "S-Cubed" are both users on this BBS,  and you can
	     also leave messages for "Psychic Link".

    BBS II:  Active Logic  +44-(0)1525 210151 
	     This is ProActive Logic's sister BBS,  and you can message
	     "Statix" and "S-Cubed" on here too...

   FidoNet:  Psychic Link  -at-  2:257/119.1

  Internet:  S-Cubed       -at-  sah32@cam.ac.uk (most reliable)
	     Psychic Link  -at-  pl@actlog.demon.co.uk (less reliable)

       Fax:  S-Cubed / PL  -on-  +44-(0)181 767 6304

Snail Mail:  Statix / PL              Skywalker / PL
	     6, Dungarvan Avenue,     15, Daylesford Avenue,
	     London.                  London
	     SW15 5QU                 SW15 5QR
	     ENGLAND                  ENGLAND



				End of File








